%define upstream_name ExtUtils-MakeMaker-CPANfile
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    cpanfile support for EUMM
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(File::Path)
BuildRequires: perl(Module::CPANfile)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(version) >= 0.760.0
BuildArch:  noarch

%description
ExtUtils::MakeMaker::CPANfile loads C in your distribution and
modifies parameters for C in your Makefile.PL. Just use it after
LExtUtils::MakeMaker, and prepare C.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.90.0-3.mga9
+ Revision: 1811238
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.90.0-2.mga8
+ Revision: 1521731
- Mageia 8 Mass Rebuild

* Sun Dec 30 2018 tv <tv> 0.90.0-1.mga7
+ Revision: 1347002
- new release

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-2.mga7
+ Revision: 1283647
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.80.0-1.mga7
+ Revision: 1126150
- update to 0.08

* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-2.mga6
+ Revision: 1027207
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.70.0-1.mga6
+ Revision: 923765
- update to 0.07

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-3.mga5
+ Revision: 744436
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 0.60.0-1.mga5
+ Revision: 619426
- imported package perl-ExtUtils-MakeMaker-CPANfile

